Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class WorkbenchPartActivator

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.WorkbenchPartActivator

public final class WorkbenchPartActivator
extends java.lang.Object

This is just a helper class that is packages the steps necessary to activate a view's window in convenient methods.

Method Summary
`static IViewPart` `showBookmarkNavigator()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showContentOutline()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showEditorArea()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showProblemView()` Ensures that the Eclipse 3.0 Problems view is visible, if it is open.
`static IViewPart` `showPropertySheet()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showResourceNavigator()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showTaskList()` A convenience method, calls the #showView with the proper view Id.
`static IViewPart` `showView(java.lang.String viewId)` The function that tries to activate the view-window in the context of the GUI thread -which also means create the view if necessary-.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### showView

    public static IViewPart showView(java.lang.String viewId)

  The function that tries to activate the view-window in the context of the GUI thread -which also means create the view if necessary-. It blocks until the view-window is activated.

  Parameters:
    `viewId` - The unique id of the view as registered with eclipse.
  Returns:
    The view part shown, or null if no part was shown.

### showTaskList

    public static IViewPart showTaskList()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

### showProblemView

    public static IViewPart showProblemView()

  Ensures that the Eclipse 3.0 Problems view is visible, if it is open.

  Returns:
    The Problems view part, or null if it was not shown.

### showBookmarkNavigator

    public static IViewPart showBookmarkNavigator()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

### showEditorArea

    public static IViewPart showEditorArea()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

### showContentOutline

    public static IViewPart showContentOutline()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

### showPropertySheet

    public static IViewPart showPropertySheet()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

### showResourceNavigator

    public static IViewPart showResourceNavigator()

  A convenience method, calls the #showView with the proper view Id.

  Returns:
    The view part shown, or null if no part was shown.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.